{$if not def REXX_RXSLIB_H} CONST REXX_RXSLIB_H=0;

{ ***************************************************************
  ** KickPascal-Include-Datei "rexx/rxslib.h" zu Kickstart 3.0 **
  *************************************************************** }

TYPE p_RxsLib = ^RxsLib;

{$if not def REXX_STORAGE_H;incl "rexx/storage.h";endif}

CONST
 RXSNAME  = "rexxsyslib.library";
 RXSDIR   = "REXX";
 RXSTNAME = "ARexx";

TYPE RxsLib = RECORD
 rl_Node       : _Library;
 rl_Flags      : Byte;
 rl_Shadow     : Byte;
 rl_SysBase    : Ptr;
 rl_DOSBase    : Ptr;
 rl_IeeeDPBase : Ptr;
 rl_SegList    : LongInt;
 rl_NIL        : LongInt;
 rl_Chunk      : LongInt;
 rl_MaxNest    : LongInt;
 rl_NULL       : p_NexxStr;
 rl_FALSE      : p_NexxStr;
 rl_TRUE       : p_NexxStr;
 rl_REXX       : p_NexxStr;
 rl_COMMAND    : p_NexxStr;
 rl_STDIN      : p_NexxStr;
 rl_STDOUT     : p_NexxStr;
 rl_STDERR     : p_NexxStr;
 rl_Version    : Str;
 rl_TaskName   : Str;
 rl_TaskPri    : LongInt;
 rl_TaskSeg    : LongInt;
 rl_StackSize  : LongInt;
 rl_RexxDir    : Str;
 rl_CTABLE     : Str;
 rl_Notice     : Str;
 rl_RexxPort   : MsgPort;
 rl_ReadLock   : Word;
 rl_TraceFH    : LongInt;
 rl_TaskList   : List;
 rl_NumTask    : Integer;
 rl_LibList    : List;
 rl_NumLib     : Integer;
 rl_ClipList   : List;
 rl_NumClip    : Integer;
 rl_MsgList    : List;
 rl_NumMsg     : Integer;
 rl_PgmList    : List;
 rl_NumPgm     : Integer;
 rl_TraceCnt   : Word;
 rl_avail      : Integer;
END;

CONST
 RLFB_TRACE = RTFB_TRACE;
 RLFB_HALT  = RTFB_HALT;
 RLFB_SUSP  = RTFB_SUSP;
 RLFB_STOP  = 6;
 RLFB_CLOSE = 7;

 RLFMASK    = %111;

CONST
 RXSCHUNK = 1024;
 RXSNEST  = 32;
 RXSTPRI  = 0;
 RXSSTACK = 4096;

CONST
 CTB_SPACE   = 0;
 CTB_DIGIT   = 1;
 CTB_ALPHA   = 2;
 CTB_REXXSYM = 3;
 CTB_REXXOPR = 4;
 CTB_REXXSPC = 5;
 CTB_UPPER   = 6;
 CTB_LOWER   = 7;

 CTF_SPACE   = $1;
 CTF_DIGIT   = $2;
 CTF_ALPHA   = $4;
 CTF_REXXSYM = $8;
 CTF_REXXOPR = $10;
 CTF_REXXSPC = $20;
 CTF_UPPER   = $40;
 CTF_LOWER   = $80;

{$endif}
