{$if not def REXX_REXXIO_H} CONST REXX_REXXIO_H=0;

{ ***************************************************************
  ** KickPascal-Include-Datei "rexx/rexxio.h" zu Kickstart 3.0 **
  *************************************************************** }

TYPE p_IoBuff = ^IoBuff;
TYPE p_RexxMsgPort = ^RexxMsgPort;

{$if not def REXX_STORAGE_H;incl "rexx/storage.h";endif}

CONST RXBUFFSZ = 204;

TYPE IoBuff = RECORD
 iobNode : RexxRsrc;
 iobRpt  : Ptr;
 iobRct  : LongInt;
 iobDFH  : LongInt;
 iobLock : Ptr;
 iobBct  : LongInt;
 iobArea : ARRAY[0..RXBUFFSZ-1] OF Byte;
END;

CONST
 RXIO_EXIST  = -1;
 RXIO_STRF   = 0;
 RXIO_READ   = 1;
 RXIO_WRITE  = 2;
 RXIO_APPEND = 3;

CONST
 RXIO_BEGIN  = -1;
 RXIO_CURR   = 0;
 RXIO_END    = 1;

FUNCTION LLOFFSET(rrp : p_RexxRsrc) : LongInt;
  BEGIN
       LLOFFSET:=rrp^.rr_Arg1;
  END;

FUNCTION LLVERS(rrp : p_RexxRsrc) : LongInt;
  BEGIN
       LLVERS:=rrp^.rr_Arg2;
  END;

FUNCTION CLVALUE(rrp : p_RexxRsrc) : Str;
  BEGIN
       CLVALUE:=Str(rrp^.rr_Arg1);
  END;


TYPE RexxMsgPort = RECORD
 rmp_Node      : RexxRsrc;
 rmp_Port      : MsgPort;
 rmp_ReplyList : List;
END;

CONST
 DT_DEV = 0;
 DT_DIR = 1;
 DT_VOL = 2;

CONST
 ACTION_STACK = 2002;
 ACTION_QUEUE = 2003;

{$endif}
